<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>wisenergy-parent</artifactId>
        <groupId>cn.wisenergy</groupId>
        <version>1.0-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <artifactId>wisenergy-model</artifactId>
    <version>${moduleVersion.wisenergy-model}</version>
    <packaging>jar</packaging>

    <!-- 项目依赖 -->
    <dependencies>
        <dependency>
            <groupId>cn.wisenergy</groupId>
            <artifactId>wisenergy-common</artifactId>
            <version>1.0.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>

        <!--mybatis-plus-->
        <!--<dependency>-->
            <!--<groupId>com.baomidou</groupId>-->
            <!--<artifactId>mybatis-plus-generator</artifactId>-->
            <!--<version>3.4.0</version>-->
            <!--<scope>test</scope>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>com.baomidou</groupId>-->
            <!--<artifactId>mybatis-plus-annotation</artifactId>-->
            <!--<version>3.4.0</version>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>com.baomidou</groupId>-->
            <!--<artifactId>mybatis-plus-extension</artifactId>-->
            <!--<version>3.4.0</version>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>com.baomidou</groupId>-->
            <!--<artifactId>mybatis-plus-boot-starter</artifactId>-->
            <!--<version>3.4.0</version>-->
        <!--</dependency>-->
        <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity-engine-core</artifactId>
            <version>2.0</version>
        </dependency>
        <!--<dependency>-->
            <!--<groupId>com.baomidou</groupId>-->
            <!--<artifactId>mybatis-plus-generator</artifactId>-->
            <!--<version>3.4.1</version>-->
            <!--<scope>compile</scope>-->
        <!--</dependency>-->
    </dependencies>

    <!-- MAVEN构建 -->
    <build>
        <finalName>${project.artifactId}-${moduleVersion.wisenergy-model}</finalName>
    </build>
</project>